# StylePoint

Multi-functional internal tool for StyleTech

## Setup
This project is using VS Code Dev Containers. To set up the development environment, follow these steps:
1. Install [Docker](https://www.docker.com/get-started) and [VS Code](https://code.visualstudio.com/).
2. Install the [Remote - Containers](https://marketplace.visualstudio.com/items?itemName=ms-vscode-remote.remote-containers) extension in VS Code.
3. Clone this repository to your local machine.
4. Open the repository in VS Code.
5. When prompted, select "Reopen in Container" to build the development container.
6. Once the container is built, you can start developing the project.

## Project Structure
```
src/ -- Frontend source code
src-server/ -- Backend source code
```

## Frontend
The frontend is built using [Quasar](https://quasar.dev/) and [Vue 3](https://vuejs.org/). It uses [Pinia](https://pinia.vuejs.org/) for state management and [Vue Router](https://router.vuejs.org/) for routing. The frontend is located in the `src/` directory.

## Backend
The backend is built using [Express](https://expressjs.com/). It uses [Prisma](https://www.prisma.io/) for database access. The backend is located in the `src-server/` directory

## Running the Project
To run the project, simply run `bun dev`. This will automatically start everything up for you, and vaildate all necessary dependencies are installed. You can then access the frontend at `http://localhost:9100`, and the backend at `http://localhost:9101`.

## Registering a new user
The application requires a Registration Token to register a new user. This defaults to `INITIAL_REGISTRATION_TOKEN_PLEASE_CHANGE_ME`. Use this to register an initial account, you can then change it via the Application Settings.